import request from '@/utils/request'


export function searchProductCategory(data) {
  return request({
    url: '/product/category/search',
    method: 'post',
    data
  })
}



export function createProductCategory(data) {
  return request({
    url: '/product/category/create',
    method: 'post',
    data
  })
}



 export function updateProductCategory(data) {
   return request({
     url: '/product/category/update',
     method: 'post',
     data
   })
 }



 export function getProductCategoryInfo(data) {
   return request({
     url: '/product/category/info',
     method: 'post',
     data
   })
 }


 export function deleteProductCategory(data) {
   return request({
     url: '/product/category/delete',
     method: 'post',
     data
   })
 }
 
 
 export function searchAllCategories(data) {
   return request({
     url: '/product/category/all',
     method: 'post',
     data
   })
 }


//处理产品信息


 export function searchProduct(data) {
   return request({
     url: '/product/search',
     method: 'post',
     data
   })
 }



 export function createProduct(data) {
   return request({
     url: '/product/create',
     method: 'post',
     data
   })
 }



 export function updateProduct(data) {
   return request({
     url: '/product/update',
     method: 'post',
     data
   })
 }

 export function getProductInfo(data) {
   return request({
     url: '/product/info',
     method: 'post',
     data
   })
 }


  export function deleteProduct(data) {
    return request({
      url: '/product/delete',
      method: 'post',
      data
    })
  }

